(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23628,        742]
NotebookOptionsPosition[     21029,        648]
NotebookOutlinePosition[     21950,        683]
CellTagsIndexPosition[     21907,        680]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Differenci\[AAcute]lgeometria - Els\[ODoubleAcute] H\[AAcute]zi Feladat - 2. \
Feladat\
\>", "Section",
 CellChangeTimes->{3.46441626459375*^9}],

Cell["\<\
K\[EAcute]sz\[IAcute]tette : Gyebr\[OAcute]szki Gergely
2009. okt\[OAcute]ber 14.
(C) Szabadon felhaszn\[AAcute]lhat\[OAcute]

Aj\[AAcute]nlott Mathematica verzi\[OAcute] : 6
Amennyiben m\[AAcute]s \[AAcute]llom\[AAcute]ny is haszn\[AAcute]lta az aktu\
\[AAcute]lis kernelt, ne felejtse el \[UAcute]jraind\[IAcute]tani azt a ki\
\[EAcute]rt\[EAcute]kel\[EAcute]s megkezd\[EAcute]se el\[ODoubleAcute]tt.\
\>", "Text",
 CellChangeTimes->{{3.465661140421875*^9, 3.46566126815625*^9}, {
  3.46566130390625*^9, 3.46566137890625*^9}, {3.465661411296875*^9, 
  3.465661513765625*^9}}],

Cell[CellGroupData[{

Cell["\<\
Igazolja, hogy a hengeres csavarvonal g\[ODoubleDot]rb\[UDoubleDot]leti k\
\[ODoubleDot]z\[EAcute]ppontjai is csavarvonalon helyezkednek el.\
\>", "Subsubsection",
 CellChangeTimes->{{3.46441638359375*^9, 3.4644164035*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", "t_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", " ", 
      RowBox[{"Cos", "[", "t", "]"}]}], ",", 
     RowBox[{"a", " ", 
      RowBox[{"Sin", "[", "t", "]"}]}], ",", 
     RowBox[{"b", " ", "t"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.464416410984375*^9, 3.464416427484375*^9}}],

Cell["\<\
\[CapitalAAcute]tt\[EAcute]r\[EAcute]s term\[EAcute]szetes \
param\[EAcute]terez\[EAcute]sre :\
\>", "Text",
 CellChangeTimes->{{3.464416477078125*^9, 3.4644164831875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Norm", "[", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"r", "[", "t", "]"}], ",", "t"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.46441647421875*^9, 3.464416541296875*^9}}],

Cell[BoxData[
 SqrtBox[
  RowBox[{
   SuperscriptBox[
    RowBox[{"Abs", "[", "b", "]"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"Abs", "[", 
     RowBox[{"a", " ", 
      RowBox[{"Cos", "[", "t", "]"}]}], "]"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"Abs", "[", 
     RowBox[{"a", " ", 
      RowBox[{"Sin", "[", "t", "]"}]}], "]"}], "2"]}]]], "Output",
 CellChangeTimes->{{3.4644165095*^9, 3.464416542421875*^9}, {
   3.46444104734375*^9, 3.464441054578125*^9}, 3.4644429784375*^9, 
   3.464443446953125*^9, 3.465661686078125*^9, 3.4656626114375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"S", "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    SqrtBox[
     RowBox[{
      SuperscriptBox["b", "2"], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"a", " ", 
         RowBox[{"Cos", "[", "t", "]"}]}], ")"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"a", " ", 
         RowBox[{"Sin", "[", "t", "]"}]}], ")"}], "2"]}]], ",", "t"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.46441656790625*^9, 3.464416663234375*^9}}],

Cell[BoxData[
 RowBox[{
  SqrtBox[
   RowBox[{
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["b", "2"]}]], " ", "t"}]], "Output",
 CellChangeTimes->{{3.464416582046875*^9, 3.464416618640625*^9}, 
   3.46441666409375*^9, 3.464441055890625*^9, 3.464442979375*^9, 
   3.464443447890625*^9, 3.46566168615625*^9, 3.465662611484375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"s", "\[Equal]", "S"}], ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.4644166704375*^9, 3.464416676875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t", "\[Rule]", 
    FractionBox["s", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["a", "2"], "+", 
       SuperscriptBox["b", "2"]}]]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.464416678453125*^9, 3.4644410583125*^9, 
  3.464442980390625*^9, 3.464443448625*^9, 3.46566168625*^9, 3.4656626115*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"R", "[", "s_", "]"}], "=", 
  RowBox[{
   RowBox[{"r", "[", "t", "]"}], "/.", 
   RowBox[{"t", "->", 
    FractionBox["s", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["a", "2"], "+", 
       SuperscriptBox["b", "2"]}]]]}]}]}]], "Input",
 CellChangeTimes->{{3.46441668740625*^9, 3.46441670053125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", " ", 
    RowBox[{"Cos", "[", 
     FractionBox["s", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["a", "2"], "+", 
        SuperscriptBox["b", "2"]}]]], "]"}]}], ",", 
   RowBox[{"a", " ", 
    RowBox[{"Sin", "[", 
     FractionBox["s", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["a", "2"], "+", 
        SuperscriptBox["b", "2"]}]]], "]"}]}], ",", 
   FractionBox[
    RowBox[{"b", " ", "s"}], 
    SqrtBox[
     RowBox[{
      SuperscriptBox["a", "2"], "+", 
      SuperscriptBox["b", "2"]}]]]}], "}"}]], "Output",
 CellChangeTimes->{3.46441670184375*^9, 3.46444105946875*^9, 
  3.4644429810625*^9, 3.4644434495*^9, 3.46566168628125*^9, 
  3.46566261153125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"R", "''"}], "[", "s_", "]"}]], "Input",
 CellChangeTimes->{{3.464416720078125*^9, 3.464416758078125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"a", " ", 
      RowBox[{"Cos", "[", 
       FractionBox["s_", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["a", "2"], "+", 
          SuperscriptBox["b", "2"]}]]], "]"}]}], 
     RowBox[{
      SuperscriptBox["a", "2"], "+", 
      SuperscriptBox["b", "2"]}]]}], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"a", " ", 
      RowBox[{"Sin", "[", 
       FractionBox["s_", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["a", "2"], "+", 
          SuperscriptBox["b", "2"]}]]], "]"}]}], 
     RowBox[{
      SuperscriptBox["a", "2"], "+", 
      SuperscriptBox["b", "2"]}]]}], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.464416758765625*^9, 3.4644429819375*^9, 
  3.464443450796875*^9, 3.465661686328125*^9, 3.4656626115625*^9}]
}, Open  ]],

Cell["A g\[ODoubleDot]rb\[UDoubleDot]let meghat\[AAcute]roz\[AAcute]sa:", \
"Text",
 CellChangeTimes->{{3.46444106928125*^9, 3.46444107365625*^9}, 
   3.464441207859375*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Norm", "[", 
  RowBox[{
   RowBox[{"R", "''"}], "[", "s", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.464416798265625*^9, 3.4644168086875*^9}, 
   3.46444123534375*^9}],

Cell[BoxData[
 SqrtBox[
  RowBox[{
   SuperscriptBox[
    RowBox[{"Abs", "[", 
     FractionBox[
      RowBox[{"a", " ", 
       RowBox[{"Cos", "[", 
        FractionBox["s", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["a", "2"], "+", 
           SuperscriptBox["b", "2"]}]]], "]"}]}], 
      RowBox[{
       SuperscriptBox["a", "2"], "+", 
       SuperscriptBox["b", "2"]}]], "]"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"Abs", "[", 
     FractionBox[
      RowBox[{"a", " ", 
       RowBox[{"Sin", "[", 
        FractionBox["s", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["a", "2"], "+", 
           SuperscriptBox["b", "2"]}]]], "]"}]}], 
      RowBox[{
       SuperscriptBox["a", "2"], "+", 
       SuperscriptBox["b", "2"]}]], "]"}], "2"]}]]], "Output",
 CellChangeTimes->{
  3.4644168093125*^9, {3.464441210375*^9, 3.464441236796875*^9}, 
   3.464442983265625*^9, 3.464443452125*^9, 3.465661686375*^9, 
   3.465662611578125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Kappa]", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    SqrtBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"a", " ", 
          RowBox[{"Cos", "[", 
           FractionBox["s", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["a", "2"], "+", 
              SuperscriptBox["b", "2"]}]]], "]"}]}], 
         RowBox[{
          SuperscriptBox["a", "2"], "+", 
          SuperscriptBox["b", "2"]}]], ")"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"a", " ", 
          RowBox[{"Sin", "[", 
           FractionBox["s", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["a", "2"], "+", 
              SuperscriptBox["b", "2"]}]]], "]"}]}], 
         RowBox[{
          SuperscriptBox["a", "2"], "+", 
          SuperscriptBox["b", "2"]}]], ")"}], "2"]}]], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", ">", "0"}], ",", 
      RowBox[{"b", ">", "0"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.464416812375*^9, 3.46441685134375*^9}, {
   3.464441241796875*^9, 3.46444127765625*^9}, 3.464441479078125*^9}],

Cell[BoxData[
 FractionBox["a", 
  RowBox[{
   SuperscriptBox["a", "2"], "+", 
   SuperscriptBox["b", "2"]}]]], "Output",
 CellChangeTimes->{{3.46441681946875*^9, 3.464416852328125*^9}, {
   3.46444126240625*^9, 3.46444127846875*^9}, 3.46444148046875*^9, 
   3.464442984640625*^9, 3.464443453703125*^9, 3.46566168653125*^9, 
   3.465662611609375*^9}]
}, Open  ]],

Cell["\<\
A k\[IAcute]s\[EAcute]r\[ODoubleAcute] tri\[EAcute]der norm\[AAcute]lis ir\
\[AAcute]ny\[UAcute] egys\[EAcute]gvektora (\[IAcute]vhossz szerinti param\
\[EAcute]terez\[EAcute]sben) :\
\>", "Text",
 CellChangeTimes->{{3.4644412695625*^9, 3.464441323765625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"nn", "[", "s_", "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"R", "''"}], "[", "s", "]"}], "/", "\[Kappa]"}]}]], "Input",
 CellChangeTimes->{{3.46441689178125*^9, 3.464416920640625*^9}, {
  3.464441355828125*^9, 3.464441357234375*^9}, {3.464441422375*^9, 
  3.46444148765625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{"Cos", "[", 
     FractionBox["s", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["a", "2"], "+", 
        SuperscriptBox["b", "2"]}]]], "]"}]}], ",", 
   RowBox[{"-", 
    RowBox[{"Sin", "[", 
     FractionBox["s", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["a", "2"], "+", 
        SuperscriptBox["b", "2"]}]]], "]"}]}], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.464416921515625*^9, 3.4644413300625*^9, {3.46444142984375*^9, 
   3.464441458359375*^9}, 3.46444148871875*^9, 3.464442986453125*^9, 
   3.46444345471875*^9, 3.465661686640625*^9, 3.465662611640625*^9}]
}, Open  ]],

Cell["\<\
A g\[ODoubleDot]rb\[UDoubleDot]leti k\[ODoubleDot]z\[EAcute]ppontba mutat\
\[OAcute] helyvektor (\[IAcute]vhossz szerinti \
param\[EAcute]terez\[EAcute]sben) :\
\>", "Text",
 CellChangeTimes->{{3.464416447953125*^9, 3.464416460390625*^9}, {
  3.464441503390625*^9, 3.464441505046875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cc", "[", "s_", "]"}], "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"R", "[", "s", "]"}], "+", 
    RowBox[{
     RowBox[{"nn", "[", "s", "]"}], "/", "\[Kappa]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.46441693546875*^9, 3.464416972625*^9}, {
  3.464441522515625*^9, 3.464441526890625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"Cos", "[", 
       FractionBox["s", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["a", "2"], "+", 
          SuperscriptBox["b", "2"]}]]], "]"}]}], "a"]}], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"Sin", "[", 
       FractionBox["s", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["a", "2"], "+", 
          SuperscriptBox["b", "2"]}]]], "]"}]}], "a"]}], ",", 
   FractionBox[
    RowBox[{"b", " ", "s"}], 
    SqrtBox[
     RowBox[{
      SuperscriptBox["a", "2"], "+", 
      SuperscriptBox["b", "2"]}]]]}], "}"}]], "Output",
 CellChangeTimes->{
  3.464416975796875*^9, {3.464441513390625*^9, 3.46444152765625*^9}, 
   3.4644429880625*^9, 3.46444345625*^9, 3.465661686703125*^9, 
   3.465662611671875*^9}]
}, Open  ]],

Cell["\<\
A g\[ODoubleDot]rb\[UDoubleDot]leti k\[ODoubleDot]z\[EAcute]ppontba mutat\
\[OAcute] helyvektor (t szerinti param\[EAcute]terez\[EAcute]sben) :\
\>", "Text",
 CellChangeTimes->{3.464441597265625*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"c", "[", "t_", "]"}], "=", 
  RowBox[{
   RowBox[{"cc", "[", "s", "]"}], "/.", 
   RowBox[{"s", "->", 
    RowBox[{
     SqrtBox[
      RowBox[{
       SuperscriptBox["a", "2"], "+", 
       SuperscriptBox["b", "2"]}]], " ", "t"}]}]}]}]], "Input",
 CellChangeTimes->{{3.464416987421875*^9, 3.4644170063125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"Cos", "[", "t", "]"}]}], "a"]}], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"Sin", "[", "t", "]"}]}], "a"]}], ",", 
   RowBox[{"b", " ", "t"}]}], "}"}]], "Output",
 CellChangeTimes->{3.46441700740625*^9, 3.464441578390625*^9, 
  3.46444298925*^9, 3.464443457609375*^9, 3.465661686765625*^9, 
  3.4656626116875*^9}]
}, Open  ]],

Cell["\<\
Az el\[ODoubleAcute]z\[ODoubleAcute] egyenleten l\[AAcute]that\[OAcute], hogy \
szint\[EAcute]n csavarvonal alak\[UAcute].\
\>", "Text",
 CellChangeTimes->{{3.46444163896875*^9, 3.4644416954375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Az eredm\[EAcute]nyek megjelen\[IAcute]t\[EAcute]se", "Subsubsection",
 CellChangeTimes->{{3.46444170465625*^9, 3.464441714015625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a", " ", 
          RowBox[{"Cos", "[", "t", "]"}]}], ",", 
         RowBox[{"a", " ", 
          RowBox[{"Sin", "[", "t", "]"}]}], ",", 
         RowBox[{"b", " ", "t"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "\"\<RustTones\>\""}]}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["b", "2"], " ", 
            RowBox[{"Cos", "[", "t", "]"}]}], "a"]}], ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["b", "2"], " ", 
            RowBox[{"Sin", "[", "t", "]"}]}], "a"]}], ",", 
         RowBox[{"b", " ", "t"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", "Thick", "}"}]}], ",", " ", 
       RowBox[{"ColorFunction", "\[Rule]", "\"\<BlueGreenYellow\>\""}]}], 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", 
       RowBox[{"Purple", ",", 
        RowBox[{"Opacity", "[", "0.7", "]"}], ",", 
        RowBox[{"Polygon", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", " ", 
              RowBox[{"Cos", "[", "t0", "]"}]}], ",", 
             RowBox[{"a", " ", 
              RowBox[{"Sin", "[", "t0", "]"}]}], ",", 
             RowBox[{"b", " ", "t0"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", 
              FractionBox[
               RowBox[{
                SuperscriptBox["b", "2"], " ", 
                RowBox[{"Cos", "[", "t0", "]"}]}], "a"]}], ",", 
             RowBox[{"-", 
              FractionBox[
               RowBox[{
                SuperscriptBox["b", "2"], " ", 
                RowBox[{"Sin", "[", "t0", "]"}]}], "a"]}], ",", 
             RowBox[{"b", " ", "t0"}]}], "}"}]}], "}"}], "]"}]}], "}"}], 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "\[IndentingNewLine]", "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "1", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "1", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t0", ",", "0", ",", 
     RowBox[{"2", "\[Pi]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.464441837453125*^9, 3.464441865453125*^9}, {
  3.46444189840625*^9, 3.4644421716875*^9}, {3.464442218625*^9, 
  3.464442379390625*^9}, {3.46444241596875*^9, 3.4644424416875*^9}, {
  3.464442643203125*^9, 3.464442645984375*^9}, {3.464442705234375*^9, 
  3.464442855734375*^9}, {3.464442887421875*^9, 3.464442889671875*^9}, {
  3.464442935828125*^9, 3.46444296678125*^9}, {3.464443258203125*^9, 
  3.4644433133125*^9}, {3.46444334703125*^9, 3.46444342925*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`b$$ = 
    1, $CellContext`t0$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`a$$], 1, 10}, {
      Hold[$CellContext`b$$], 1, 10}, {
      Hold[$CellContext`t0$$], 0, 2 Pi}}, Typeset`size$$ = {
    468., {421., 443.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$166$$ = 
    0, $CellContext`b$171$$ = 0, $CellContext`t0$172$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
        1, $CellContext`t0$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$166$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$171$$, 0], 
        Hold[$CellContext`t0$$, $CellContext`t0$172$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        ParametricPlot3D[{$CellContext`a$$ 
          Cos[$CellContext`t], $CellContext`a$$ 
          Sin[$CellContext`t], $CellContext`b$$ $CellContext`t}, \
{$CellContext`t, 0, 2 Pi}, PlotStyle -> Thick, ColorFunction -> "RustTones"], 
        
        ParametricPlot3D[{-($CellContext`b$$^2 
           Cos[$CellContext`t]/$CellContext`a$$), -($CellContext`b$$^2 
           Sin[$CellContext`t]/$CellContext`a$$), $CellContext`b$$ \
$CellContext`t}, {$CellContext`t, 0, 2 Pi}, PlotStyle -> {Thick}, 
         ColorFunction -> "BlueGreenYellow"], 
        Graphics3D[{Purple, 
          Opacity[0.7], 
          
          Polygon[{{0, 0, 
            0}, {$CellContext`a$$ Cos[$CellContext`t0$$], $CellContext`a$$ 
             Sin[$CellContext`t0$$], $CellContext`b$$ $CellContext`t0$$}, \
{-($CellContext`b$$^2 
              Cos[$CellContext`t0$$]/$CellContext`a$$), -($CellContext`b$$^2 
              Sin[$CellContext`t0$$]/$CellContext`a$$), $CellContext`b$$ \
$CellContext`t0$$}}]}], PlotRange -> All], 
      "Specifications" :> {{$CellContext`a$$, 1, 10}, {$CellContext`b$$, 1, 
         10}, {$CellContext`t0$$, 0, 2 Pi}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{524., {549., 560.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.464443460390625*^9, 3.464443473484375*^9}, 
   3.465661686828125*^9, {3.46566257228125*^9, 3.465662577078125*^9}, 
   3.46566261175*^9}]
}, Open  ]],

Cell["\<\
Magyar\[AAcute]zat : BARNA - eredeti csavarvonal, K\[CapitalEAcute]KESZ\
\[CapitalODoubleDot]LD - g\[ODoubleDot]rb\[UDoubleDot]leti kp - ok vonala, H\
\[CapitalAAcute]ROMSZ\[CapitalODoubleDot]G - a csavarvonal \[EAcute]s a g\
\[ODoubleDot]rb\[UDoubleDot]leti kp-ok vonal\[AAcute]nak helyvektorai \
\[AAcute]ltal k\[ODoubleDot]zbez\[AAcute]rt ter\[UDoubleDot]let.\
\>", "Text",
 CellChangeTimes->{{3.464443023328125*^9, 3.46444308846875*^9}, {
  3.46444321990625*^9, 3.464443253546875*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1912, 1084},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      Cell[
       TextData[{
         CounterBox["Page"]}], "PageNumber"], " ", 
      Cell[
      " ", "Header", CellFrame -> {{0.5, 0}, {0, 0}}, CellFrameMargins -> 4], 
      
      Cell[
       TextData[{
         ValueBox["FileName"]}], "Header"]}], 
    CellMargins -> {{0, Inherited}, {Inherited, Inherited}}], None, None}, {
  None, None, "N5J0GQ"}},
PageHeaderLines->{False, True},
PrintingOptions->{"FacingPages"->False,
"FirstPageHeader"->True},
Magnification->2.,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 154, 4, 140, "Section"],
Cell[747, 29, 587, 12, 220, "Text"],
Cell[CellGroupData[{
Cell[1359, 45, 233, 4, 54, "Subsubsection"],
Cell[1595, 51, 368, 11, 57, "Input"],
Cell[1966, 64, 182, 4, 55, "Text"],
Cell[CellGroupData[{
Cell[2173, 72, 204, 5, 57, "Input"],
Cell[2380, 79, 561, 15, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2978, 99, 500, 16, 83, "Input"],
Cell[3481, 117, 339, 8, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3857, 130, 173, 4, 57, "Input"],
Cell[4033, 136, 367, 10, 84, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4437, 151, 343, 11, 93, "Input"],
Cell[4783, 164, 741, 25, 87, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5561, 194, 140, 3, 57, "Input"],
Cell[5704, 199, 858, 28, 112, "Output"]
}, Open  ]],
Cell[6577, 230, 173, 3, 55, "Text"],
Cell[CellGroupData[{
Cell[6775, 237, 194, 5, 57, "Input"],
Cell[6972, 244, 980, 32, 126, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7989, 281, 1199, 37, 167, "Input"],
Cell[9191, 320, 350, 8, 76, "Output"]
}, Open  ]],
Cell[9556, 331, 270, 5, 55, "Text"],
Cell[CellGroupData[{
Cell[9851, 340, 318, 8, 57, "Input"],
Cell[10172, 350, 667, 20, 84, "Output"]
}, Open  ]],
Cell[10854, 373, 298, 6, 55, "Text"],
Cell[CellGroupData[{
Cell[11177, 383, 343, 9, 57, "Input"],
Cell[11523, 394, 942, 32, 144, "Output"]
}, Open  ]],
Cell[12480, 429, 209, 4, 55, "Text"],
Cell[CellGroupData[{
Cell[12714, 437, 346, 11, 74, "Input"],
Cell[13063, 450, 518, 16, 108, "Output"]
}, Open  ]],
Cell[13596, 469, 209, 4, 55, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13842, 478, 141, 1, 54, "Subsubsection"],
Cell[CellGroupData[{
Cell[14008, 483, 3454, 87, 446, "Input"],
Cell[17465, 572, 3022, 61, 1166, "Output"]
}, Open  ]],
Cell[20502, 636, 499, 8, 88, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
